﻿
local WHITE = "|cffffffff"

GOSSIPMONGER_STRINGS = {
	SKIPISDEFAULT = "Apply Gossipmonger filters by default (recommended)",
	SKIPISDEFAULT_TIP = "If checked, then NPC greetings are skipped when a Gossipmonger filter indicates they should be.",
	SKIPISDEFAULT_TIP2 = "|n"..WHITE.."To skip greetings the same way WoW does by default, check this option and enable all Standard Filters (below).",

	SHOWBUBBLE = "Show Gossip Bubble when a greeting is skipped",
	SHOWBUBBLE_TIP = "The Gossip Bubble displays the NPC's greeting text (which you might have missed otherwise) as well as its accompanying dialog options.",
	SHOWBUBBLE_DELAY = "Delay until new window opens",
	SHOWBUBBLE_DELAY_TOOLTIP = "Delay showing the Gossip Bubble window until the new window is shown (flightpath map, bank, vendor frame, etc.).",
	SHOWBUBBLE_QUESTSELECT = "Show Gossip Bubble when quest-jumping is available",
	SHOWBUBBLE_QUESTSELECT_TOOLTIP = "Show the Gossip Bubble window when an available or active quest is selected and another dialog option was offered by the NPC, allowing one-click \"jumping\" to the other option.",
	SHOWBUBBLE_QUESTSELECT_TOOLTIP2 = "|nBecause of the nature of WoW's NPC interactions, you can only jump away from a quest. So while you can jump from quest to quest, or to the vendor window from a quest, you cannot jump from the vendor window to a quest.",
	SHOWBUBBLE_QUESTJUMP = "Show Gossip Bubble after quest-jumping",
	SHOWBUBBLE_QUESTJUMP_TOOLTIP = "Show the Gossip Bubble window again after jumping from a quest to another option.",

	FILTEROPT_STANDARD_LABEL = "Standard Filters",
	FILTEROPT_STANDARD = "Skip greetings when there is only one dialog option",
	FILTEROPT_STANDARD_TIP = "Skip NPC greetings when there is one (and only one) dialog option unless the greeting is specially flagged by the server as not to be skipped.",
	FILTEROPT_STANDARD_TIP2 = "Conversational dialog options will not be skipped. Such options use",
	FILTEROPT_STANDARD_TIP3 = "the icon shown to the left.",
	FILTEROPT_STANDARD_TIP4 = "|n"..WHITE.."This is default WoW behavior.",

	MISC_LABEL = "Miscellaneous",
	--INFORMONSKIP = "Inform me when a greeting is skipped",
	--INFORMONSKIP_SCT = " with Scrolling Combat Text's message frame",
	--INFORMONSKIP_SCT_DISABLED = "|cff6b6b00%s|n|cffff0000Requires the Scrolling Combat Text addon.",
	INFORMONSKIP_CHAT = "Output to chat log when a greeting is skipped",
	INFORMONSKIP_NAMEONLY = "Always use NPC name",
	INFORMONSKIP_NAMEONLY_TOOLTIP = "Always give the NPC's full name when informing of a skipped greeting rather than using its type (e.g. \"vendor\" or \"battlemaster\") when the name is particularly long.",
	INFORMONSKIP_NOBUBBLE = "Only if the Gossip Bubble failed to appear",

	ALT = "ALT",
	CTRL = "CTRL",
	SHIFT = "SHIFT",
	KEY = "%s key",

	MODIFIERKEY_LABEL_DONOT = "Do Not Apply Filters Key",
	MODIFIERKEY_LABEL_DO = "Apply Filters Key",
	MODIFIERKEY_TOOLTIP_KEY_DONOT = "Hold the \"%s\" key while starting a dialog with an NPC in order to NOT use any filters (so greetings are never skipped).|n|nUncheck the above option to reverse this behavior.",
	MODIFIERKEY_TOOLTIP_KEY_DO = "Hold the \"%s\" key while starting a dialog with an NPC in order to use filters (so greetings may be skipped).|n|nCheck the above option to reverse this behavior.",
	MODIFIERKEY_NONE = "None",
	MODIFIERKEY_NONE_TOOLTIP = "Do not apply a key.",

	SKIPPINGTEXT_NAME = "%s had something to say.",
	SKIPPINGTEXT_TYPE = "The %s had something to say.",
	SELECTEDOPTION = "(selected)",

	FILTER_UNNAMED = "Unnamed Filter",
	FILTER_DEFAULT = "Default Behavior",
	FILTER_DEFAULT_DESC = "Skip NPC greetings when there is one (and only one) dialog option unless it is flagged by the server as not to be skipped. Conversational dialog options will not be skipped. (This is default WoW behavior.)",
	FILTER_NOPORTALCHAT = "Ignore BG portal",
	FILTER_NOPORTALCHAT_DESC = "Don't show the gossip bubble when \"talking\" to a battleground portal.",
	FILTER_NOPORTALCHAT_NAMEMATCH = "Portal",

	-- For NPC type names that don't work so well as part of SKIPPINGTEXT_TYPE or that need to be localized. Put each on a new line. Format: <type>=<replacement text>
	NPCTYPE_REPLACE = [[taxi=flight master
]],
}
